# Uses of Interface
org.apache.zookeeper.server.admin.AdminServer

Packages that use AdminServer
Package
Description
org.apache.zookeeper.server.admin

## Uses of AdminServer in org.apache.zookeeper.server.admin

Classes in org.apache.zookeeper.server.admin that implement AdminServer
Modifier and Type
Class
Description
`class`
`DummyAdminServer`
An AdminServer that does nothing.
`class`
`JettyAdminServer`
This class encapsulates a Jetty server for running Commands.
Methods in org.apache.zookeeper.server.admin that return AdminServer
Modifier and Type
Method
Description
`static AdminServer`
AdminServerFactory.`createAdminServer()`
This method encapsulates the logic for whether we should use a JettyAdminServer (i.e., the AdminServer is enabled) or a DummyAdminServer (i.e., the AdminServer is disabled).